<?php

namespace Ems\Repository;

use Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;

class FormacaoRepository {
    /** @var Connection */
    protected $connection;

    public function __construct(
        EntityManager $entityManager
    ) {
        $this->connection = $entityManager->getConnection();
    }

    public function setFormacaoParc(
        array $params
    ): void {
        $sql = <<<SQL
            INSERT INTO DES_FORMACAO (
                NRORG,              NRFORMACAO,         NRPARCNEGOCIO,
                CDSTATUS,           DTINICIO,           DTFIM,
                NRCARGAHORARIA,     NRAREAFORMACAO,     NRCURSO,
                DSCURSO,            NRGRAUCONFERIDO,    NRINSTITUICAOPARC,
                DSINSTITUICAO,      DSOBSERVACAO,       DTINCLUSAO,
                DTULTATU,           NRORGINCLUSAO,      CDOPERINCLUSAO,
                NRORGULTATU,        CDOPERULTATU,       DES_AREAFORMACAO_NRORG,
                NRTIPOFORMACAO,     CDIDIOMA,           IDNVIDIOMA,
                NRPERIODO,          NRESTRUTURAM,       DSANDAMENTOCURSO
            )
            VALUES (
                :NRORG,             :NRFORMACAO,        :NRPARCNEGOCIO,
                :CDSTATUS,          :DTINICIO,          :DTFIM,
                :NRCARGAHORARIA,    :NRAREAFORMACAO,    :NRCURSO,
                :DSCURSO,           :NRGRAUCONFERIDO,   :NRINSTITUICAOPARC,
                :DSINSTITUICAO,     :DSOBSERVACAO,      :DTINCLUSAO,
                :DTULTATU,          :NRORGINCLUSAO,     :CDOPERINCLUSAO,
                :NRORGULTATU,       :CDOPERULTATU,      :DES_AREAFORMACAO_NRORG,
                :NRTIPOFORMACAO,    :CDIDIOMA,          :IDNVIDIOMA,
                :NRPERIODO,         :NRESTRUTURAM,      :DSANDAMENTOCURSO
            )
SQL;

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}